Skip to main content
GET
/
pos
/
{posSystemId}
/
kiosk
/
{terminalId}
/
menu
Get Kiosk menu list
curl --request GET \
  --url https://public-api-demo.clearline.me/pos/{posSystemId}/kiosk/{terminalId}/menu \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "items": [
      {
        "title": "<string>",
        "icon": "<string>",
        "pageUrl": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.clearline.me/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Enter JWT Bearer token only in the text input below.

Path Parameters

terminalId
string
required
posSystemId
string
required

Response

Success

data
object

Pos Kiosk menu